please answer me-EditRelativeToCoordinateSystem

 

vb6

Call objcoordi1.EditRelativeToCoordinateSystem(False, objcoordi2, (1)?,(2) ?, 0, 0,0 , Text12d * PI / 180, Text22d * PI / 180, Text32d * PI / 180)

(1) [AnyEdgeToDefineOrigin As Object]  => ?

(2)[KeyPointFlags As KeyPointType] => ?

 

Posted by: lim j h
Post date: 2/21/2009 10:54:52 PM

1 REPLY

RE: please answer me-EditRelativeToCoordinateSystem

 

The SDK Documentation says:

AnyEdgeToDefineOrigin = "Specifies the edge on which the point lies."  I assume this is referring to any SolidEdgeGeometry.Edge.  I could be wrong on that though.  Using Solid Edge Spy, I connected to Solid Edge with a part file and found an Edge object at Application -> ActiveDocument -> Models(1) -> ExtendedProtrusions(1) -> SideFaces(1) -> Edges(1).

KeyPointType = SolidEdgeFramework.KeyPointType - "Member of the KeyPointType constant set that specifies where the key point lies on the edge."

 

Posted by: Jason Newell
Post date: 2/22/2009 5:09:45 PM